package net.metadiversity.diversity.navikey.delta;

/**
 * DeltaFilePeer.java
 * @author Noel Cross
 * @author Michael Bartley
 */

import java.io.BufferedReader;

import net.metadiversity.diversity.navikey.persistent.Persistent;
import net.metadiversity.diversity.navikey.persistent.PersistentPeer;

public class DeltaFilePeer implements PersistentPeer
{
    private BufferedReader  specsReader;
    private BufferedReader  charsReader;
    private BufferedReader  itemsReader;
    
    public DeltaFilePeer( BufferedReader specs, BufferedReader chars, BufferedReader items )
    {        
        specsReader = specs;
        charsReader = chars;
        itemsReader = items;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void restore(Persistent p)
    {        
        SpecsFileReader sfr = new SpecsFileReader();
        CharsFileReader cfr = new CharsFileReader();
        ItemsFileReader ifr = new ItemsFileReader();
        
        sfr.read( specsReader );
        sfr.makeItemCharacterTypes();
        
        cfr.setItemCharacterTypes( sfr.getItemCharacterTypes() );
        cfr.read( charsReader );

        // ??? No functionallity ??? ifr.setItemCharacters( cfr.getItemCharacters() );
        ifr.read( itemsReader );
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void update(Persistent p)
    {
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void insert(Persistent p)
    {
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void delete(Persistent p)
    {
    }    
}
