package net.metadiversity.diversity.navikey.delta;
/*
 *
 */

import java.io.BufferedReader;

import java.net.URL;

import net.metadiversity.diversity.navikey.bo.Delta;
import net.metadiversity.diversity.navikey.bo.DeltaInterface;

public class LocalDeltaConnector extends DeltaConnector
{
    Delta delta;
    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public LocalDeltaConnector()
    {
        delta = new Delta();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public LocalDeltaConnector(String baseUrl, String specs, String chars, String items)
    {
        this();
        try
        {
            URL specUrl = new URL(baseUrl + specs);
            BufferedReader specReader = new BufferedReader( new java.io.InputStreamReader( specUrl.openStream() ) );            
            URL charUrl = new URL(baseUrl + chars);
            BufferedReader charReader = new BufferedReader( new java.io.InputStreamReader( charUrl.openStream() ) );            
            URL itemUrl = new URL(baseUrl + items);
            BufferedReader itemReader = new BufferedReader( new java.io.InputStreamReader( itemUrl.openStream() ) );            
            
            Delta.setPersistentPeer( new DeltaFilePeer( specReader, charReader, itemReader ) );
            
            delta.restore();
        }
        catch(Exception e)
        {
            System.out.println( "Error dealing with files.\n" );
            e.printStackTrace();
        }
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public DeltaInterface getObject()
    {
        return delta;
    }
    
}
