/**
 * ConfigurationPanel
 *   Presents choices needed to enable/disable various features of NaviKey
 *   Intended to be incorporated in the main NaviKey UI
 * @author Michael Bartley
 * @date 7/1/99
 */

package net.metadiversity.diversity.navikey.ui;

import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JLabel;

class ConfigurationPanel extends javax.swing.JPanel
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 4051049644454720816L;
    private JCheckBox   smartsbox;
    private JCheckBox   excludeUndefined;
    private JButton     infobutton;
    
    public ConfigurationPanel()
    {
        super();
     
        setLayout( new java.awt.BorderLayout() );
        
        JLabel label = new JLabel( "NaviKey options:  " );
        smartsbox = new JCheckBox( "Selection List Intelligence" );
        smartsbox.setSelected( true  );
        
        smartsbox.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                smartsBoxActionPerformed(evt);
            }
        });
        
        excludeUndefined = new JCheckBox( "Exclude undefined characters" );
        excludeUndefined.setSelected( true  );
        
        excludeUndefined.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                excludeUndefinedActionPerformed(evt);
            }
        });
        
        infobutton = new JButton( "About NaviKey" );        
        infobutton.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                infoButtonActionPerformed( evt );
            }
        });
        
        JPanel optspanel = new JPanel();
        optspanel.setLayout( new java.awt.BorderLayout() );
        optspanel.add( java.awt.BorderLayout.WEST, smartsbox );
        optspanel.add( java.awt.BorderLayout.CENTER, excludeUndefined );
        optspanel.add( java.awt.BorderLayout.EAST, infobutton );
        
        add( java.awt.BorderLayout.WEST,label );
        add( java.awt.BorderLayout.CENTER, optspanel );
        
        setVisible( true );
    }
    
    private void infoButtonActionPerformed( java.awt.event.ActionEvent evt )
    {
        System.out.println( "Info about NaviKey:" );        
        
        InfoFrame inf = new InfoFrame();
        inf.setSize( 500,450 );
        inf.setVisible( true );
    }
    
    private void smartsBoxActionPerformed( java.awt.event.ActionEvent evt )
    {
        boolean old = smartsbox.isSelected(); 
        NaviKey.intelligence = ( old ? true : false );
    }
    
    private void excludeUndefinedActionPerformed( java.awt.event.ActionEvent evt )
    {
        boolean old = excludeUndefined.isSelected(); 
        NaviKey.excludeUndefined = ( old ? true : false );
    }
    
    /* ???
    public void setForeground( Color c )
    {
        smartsbox.setForeground( c );
        infobutton.setForeground( c );
        super.setForeground( c );
    }
    
    public void setBackground( Color c )
    {
        smartsbox.setBackground( c );
        infobutton.setBackground( c );
        super.setBackground( c );
    }
    */

    /*
    public boolean processEvent( Event e )
    {
        if( e.target == smartsbox )
        {
            if( e.id == Event.ACTION_EVENT )
            {
                boolean old = ( ( JCheckBox )e.target ).isSelected(); 
                NaviKey.intelligence = ( old ? true : false );
            }
        }
        else if( e.target == infobutton )
        {
            if( e.id == Event.ACTION_EVENT )
            {
                InfoFrame inf = new InfoFrame();
                inf.setSize( 500,450 );
                inf.setVisible( true );
                System.out.println( "Info about NaviKey:" );
            }
        }
        return super.processEvent( e );
    }
    */
    
}
